> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create an onboarding session



## OpenAPI

````yaml openapi-owners.json POST /v1/owners/{id}/onboarding
openapi: 3.1.0
info:
  title: Yorlet Owners API
  description: APIs for managing owner payouts, payment runs, transfers, and tax forms.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/owners/{id}/onboarding:
    post:
      tags:
        - Onboarding Sessions
      summary: Create an onboarding session
      operationId: owner_onboarding_sessions_create
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                options:
                  type: object
                  properties:
                    require_identity_verification:
                      type: boolean
                      description: >-
                        Whether identity verification is required during
                        onboarding.
                  description: Configuration options that control the onboarding flow.
                return_url:
                  type: string
                  format: uri
                  description: The URL to redirect to after the onboarding flow completes.
                send_email:
                  type: boolean
                  description: Whether to send the onboarding link to the owner via email.
                type:
                  type: string
                  enum:
                    - unit_owner_onboarding
                    - owner_onboarding
                  description: The type of the onboarding session.
                unit_owner:
                  type: string
                  description: The ID of the unit owner being onboarded, if applicable.
              required:
                - type
      responses:
        '200':
          description: Returns the onboarding session object if the request succeeded.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - onboarding_session
                  expires_at:
                    type:
                      - integer
                      - 'null'
                    description: The time at which the onboarding session expires.
                  options:
                    type: object
                    properties:
                      require_identity_verification:
                        type: boolean
                        default: true
                        description: >-
                          Whether identity verification is required during
                          onboarding.
                    description: Configuration options that control the onboarding flow.
                  owner:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                    description: The owner being onboarded.
                  return_url:
                    type:
                      - string
                      - 'null'
                    description: >-
                      The URL to redirect to after the onboarding flow
                      completes.
                  send_email:
                    type: boolean
                    default: false
                    description: >-
                      Whether to send the onboarding link to the owner via
                      email.
                  type:
                    type: string
                    enum:
                      - unit_owner_onboarding
                      - owner_onboarding
                    description: The type of the onboarding session.
                  unit:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The unit associated with the onboarding session, if any.
                  unit_owner:
                    anyOf:
                      - type: string
                      - type: object
                        additionalProperties: {}
                      - type: 'null'
                    description: The unit owner being onboarded, if applicable.
                  url:
                    type:
                      - string
                      - 'null'
                    description: The hosted URL of the onboarding session.
                required:
                  - id
                  - created
                  - object
                  - expires_at
                  - options
                  - owner
                  - return_url
                  - type
                  - unit
                  - unit_owner
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````